Bug Hunting Session
Bug 62815 - SLIDESHOW: Slideshow does not open
Summary: SLIDESHOW: Slideshow does not open
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.0.1.2 release
Hardware: Other Linux (All)
: high blocker
Assignee: Not Assigned
URL:
Whiteboard: BSA target:4.0.3
Keywords: regression
: 63580 (view as bug list)
Depends on:
Blocks: mab4.0
  Show dependency treegraph
 
Reported: 2013-03-27 14:48 UTC by michaeld
Modified: 2013-05-06 20:29 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description michaeld 2013-03-27 14:48:52 UTC
Problem description: 

Steps to reproduce:
1. With 4.0.1.2, create a simple slide
2. Go to Slide Show (F5)

Current behavior:
It never opens the slide show.  ESC to revert

Expected behavior:
The same file opens and goes to Slide Show (F5) with 3.5.7.2

              
Operating System: Linux (Other)
Version: 4.0.1.2 release
Last worked in: 3.5.7.2 release
Comment 1 michaeld 2013-03-27 15:10:53 UTC
$ libreoffice4.0 &
[1] 4459
$
(soffice:4476): Gdk-CRITICAL **: gdk_screen_get_monitor_geometry: assertion `monitor_num < screen_x11->n_monitors' failed

(soffice:4476): Gtk-CRITICAL **: gtk_window_resize: assertion `width > 0' failed
Created new window in existing browser session.

This does not happen when I run
$ libreoffice3.5 &

FWIW, I have both 3.5 and 4.0 installed on my system.  Is this perhaps an issue???
Comment 2 A (Andy) 2013-03-28 21:23:47 UTC
not reproducible with LO 4.0.1.2 (Win7 Home, 64bit)

Is this maybe a Linux issue only?
Comment 3 Jorendc 2013-03-30 15:09:45 UTC
I cannot reproduce this bug.

@Michaeld: is it possible for you to retest using LibreOffice 4.0.2.2 (http://www.libreoffice.org/download/pre-releases/)

Kind regards,
Joren
Comment 4 michaeld 2013-03-31 17:36:58 UTC
Joren,

Yes, I will. Expect more test information on April 2.
On Mar 30, 2013 11:09 AM, <bugzilla-daemon@freedesktop.org> wrote:

>  Jorendc <joren.libreoffice@telenet.be> changed bug 62815<https://bugs.freedesktop.org/show_bug.cgi?id=62815>
>  What Removed Added  Status UNCONFIRMED NEEDINFO  CC
> joren.libreoffice@telenet.be  Ever confirmed   1
>
>  *Comment # 3 <https://bugs.freedesktop.org/show_bug.cgi?id=62815#c3> on bug
> 62815 <https://bugs.freedesktop.org/show_bug.cgi?id=62815> from Jorendc<joren.libreoffice@telenet.be>
> *
>
> I cannot reproduce this bug.
>
> @Michaeld: is it possible for you to retest using LibreOffice 4.0.2.2
> (http://www.libreoffice.org/download/pre-releases/)
>
> Kind regards,
> Joren
>
>  ------------------------------
> You are receiving this mail because:
>
>    - You reported the bug.
>
>
Comment 5 michaeld 2013-04-03 15:25:59 UTC
Joren,

I now have 3.5.7.2, 3.6.5.2, and (as requested) 4.0.2.2 installed.  FYI, I am running a 3.5.7 x86_64 kernel.

The .odp file slide show works fine with 3.5.7.2.

With 3.6, I see:
$ libreoffice3.6 &
[1] 10306
[mduvall@m6600 ~]$
(soffice:10323): Gdk-CRITICAL **: gdk_screen_get_monitor_geometry: assertion `monitor_num < screen_x11->n_monitors' failed

(soffice:10323): Gtk-CRITICAL **: gtk_window_resize: assertion `width > 0' failed

[1]+  Done                    libreoffice3.6
$

With 4.0, I see the same as with 3.6:
$ libreoffice4.0 &
[1] 10364
[mduvall@m6600 ~]$
(soffice:10381): Gdk-CRITICAL **: gdk_screen_get_monitor_geometry: assertion `monitor_num < screen_x11->n_monitors' failed

(soffice:10381): Gtk-CRITICAL **: gtk_window_resize: assertion `width > 0' failed

[1]+  Done                    libreoffice4.0
$
Comment 6 Jorendc 2013-04-03 16:45:40 UTC
Thanks for your additional information. I'll run some more tests probably later this day.

Kind regards,
Joren
Comment 7 Joel Madero 2013-04-08 16:22:43 UTC
I believe this has to do with Hardware Acceleration. 

To test:

1. Tools -> Options -> LibreOffice -> View

Uncheck "Use hardware acceleration"

If this solves the problem we'll focus on that, for me having it checked/unchecked has no affect (works either way). 

Marking as NEEDINFO. Test this solution, then reopen as UNCONFIRMED with your results. Thanks!
Comment 8 michaeld 2013-04-08 17:37:52 UTC
With LibreOffice 3.5 it does work with or without hardware acceleration.

With LibreOffice 3.6 or 4.0 it does not work with or without hardware acceleration, and I always get the following message...

(soffice:9309): Gdk-CRITICAL **: gdk_screen_get_monitor_geometry: assertion `monitor_num < screen_x11->n_monitors' failed

(soffice:9309): Gtk-CRITICAL **: gtk_window_resize: assertion `width > 0' failed

What other tests can I run to help get to the bottom of this.

Thanks!
Comment 9 Joel Madero 2013-04-08 20:17:23 UTC
@Radek -- suggestions to pinpoint this one?
Comment 10 Joel Madero 2013-04-17 18:35:03 UTC
can you provide the output of:

xrandr

? 

Do you have some strange monitor setup on your system?
Comment 11 Jorendc 2013-04-17 18:43:35 UTC
*** Bug 63580 has been marked as a duplicate of this bug. ***
Comment 12 Jorendc 2013-04-17 18:46:15 UTC
Reported independent by Takashi (see Bug 63580). Therefore I'm going to mark this as NEW.
Comment 13 michaeld 2013-04-17 19:21:13 UTC
Below is the output as requested.

$ xrandr
Screen 0: minimum 8 x 8, current 1920 x 1080, maximum 16384 x 16384
VGA-0 disconnected (normal left inverted right x axis y axis)
LVDS-0 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 381mm x 214mm
   1920x1080      60.1*+
DP-0 disconnected (normal left inverted right x axis y axis)
DP-1 disconnected (normal left inverted right x axis y axis)
DP-2 disconnected (normal left inverted right x axis y axis)
DP-3 disconnected (normal left inverted right x axis y axis)
DP-4 disconnected (normal left inverted right x axis y axis)
DP-5 disconnected (normal left inverted right x axis y axis)
DP-6 disconnected (normal left inverted right x axis y axis)
$
Comment 14 Matt Hirsch 2013-04-27 19:01:04 UTC
I would just add a "me too" to this bug. I have a laptop running fedora 18 with radeon graphics. With 3.6.6.2-3 I get the same message as michaeld. I reverted to 3.6.5.2-6, which had previously worked on this system, and with that version I get:

(soffice:4368): Gdk-CRITICAL **: IA__gdk_screen_get_monitor_geometry: assertion `monitor_num < screen_x11->n_monitors' failed

** (soffice:4368): WARNING **: Invalidate all children called


And the presentation window is a small 1cm tall box at the bottom of the screen. Changing resolution does not seem to fix the problem, but at least once plugging in a second monitor made things work. This is unreliable, though.
Comment 15 Joel Madero 2013-04-27 22:49:51 UTC
adding Michael to this one as I believe it may be a blocker
Comment 16 Jean-Baptiste Faure 2013-04-28 05:37:47 UTC
Hi michaeld,

could you test with LO 4.0.3 RC1 ? You can find it at http://www.libreoffice.org/download/pre-releases/
From time to time I have the same problem with my own build of LO 4.0.x. Not at this moment (Ubuntu 12.04 x86-64).

Best regards. JBF
Comment 17 Matt Hirsch 2013-04-28 23:28:10 UTC
I tested with 4.0.3 RC1, and still encounter basically this problem. This is what is printed on the command line.

** (soffice:2601): WARNING **: Unknown type: GailWindow

(soffice:2601): Gdk-CRITICAL **: IA__gdk_screen_get_monitor_geometry: assertion `monitor_num < screen_x11->n_monitors' failed

** (soffice:2601): WARNING **: Invalidate all children called

The presentation screen is displayed in a tiny box, rather than a 0 width box, but its still unusable.

From that assert, it seems like whichever monitor impress thinks its displaying on is larger than the number of monitors on the system, and then it is reading uninitialized memory or past array bounds and finding incorrect monitor size values. 

I know once upon a time, when both my laptop screen and another screen were attached, I switched which screen would be the presentation window and which screen would be the presenter preview.

Is there some logic missing that says "when the user has asked for the main display to be <display 2>, but total system displays < 2, then use <display 1>"?

Sorry for the pure speculation...
Comment 18 Michael Meeks 2013-04-29 08:27:30 UTC
Ok; this looks nasty; Can you attach the output of:

xrandr

for any system that this fails on ? I guess this is down to the re-work of the multi-monitor support wrt. gtk+.

Can you also check that:

pkill -9 -f soffice.bin
SAL_USE_VCLPLUGIN=gen soffice --impress

Will load and render the slides in the slideshow properly ?

Also - what are your settings in Impress->Slide Show->Slide Show settings (at the bottom where it says Multimonitor) ?

Thanks ! :-)
Comment 19 michaeld 2013-04-29 12:52:01 UTC
Hello JBF,

I tried again with Version 4.0.3.1.  It did not help.  I get the same error...
$ libreoffice4.0 &
[1] 4565
[mduvall@m6600 RPMS]$
(soffice:4582): Gdk-CRITICAL **: gdk_screen_get_monitor_geometry: assertion `monitor_num < screen_x11->n_monitors' failed

(soffice:4582): Gtk-CRITICAL **: gtk_window_resize: assertion `width > 0' failed

[1]+  Done                    libreoffice4.0
[mduvall@m6600 RPMS]$

The output of xrandr on my laptop is:

$ xrandr
Screen 0: minimum 8 x 8, current 1920 x 1080, maximum 16384 x 16384
VGA-0 disconnected (normal left inverted right x axis y axis)
LVDS-0 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 381mm x 214mm
   1920x1080      60.1*+
DP-0 disconnected (normal left inverted right x axis y axis)
DP-1 disconnected (normal left inverted right x axis y axis)
DP-2 disconnected (normal left inverted right x axis y axis)
DP-3 disconnected (normal left inverted right x axis y axis)
DP-4 disconnected (normal left inverted right x axis y axis)
DP-5 disconnected (normal left inverted right x axis y axis)
DP-6 disconnected (normal left inverted right x axis y axis)
$

Let me know what else I can do to help.

Thanks!
Michael
Comment 20 Matt Hirsch 2013-04-29 23:13:56 UTC
Michael,

I think my specific half-baked theory is wrong -- I managed to hook my laptop up to a projector today, and with two screens adjusted, under Impress->Slide Show->Slide Show I selected "show on both displays" and "display 1", but when I go back to single monitor in both cases I find this problem. Right now I've set it to "display 1".

I can confirm that running 

SAL_USE_VCLPLUGIN=gen soffice --impress

fixes the problem (but obviously the GTK display theme gone).

Here is my xrandr output:

$ xrandr
Screen 0: minimum 320 x 200, current 1366 x 768, maximum 8192 x 8192
VGA-0 disconnected (normal left inverted right x axis y axis)
LVDS connected primary 1366x768+0+0 (normal left inverted right x axis y axis) 344mm x 194mm
   1366x768       59.6*+
   1280x720       59.9  
   1152x768       59.8  
   1024x768       60.0     60.0     59.9  
   960x720        60.0  
   928x696        60.1  
   896x672        60.0  
   800x600        60.0     60.3     59.9     56.2  
   848x480        59.7  
   700x525        60.0  
   720x480        59.7  
   640x512        60.0  
   640x480        60.0     59.9     59.4  
   512x384        60.0  
   400x300        60.3     56.3  
   320x240        60.1  
HDMI-0 disconnected (normal left inverted right x axis y axis)
Comment 21 Takashi Kodama 2013-04-30 06:57:53 UTC
I have same problem and here is my xrandr information.

[NG1]

tkodama@tkodama-CF-N10:~$ xrandr
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 8192 x 8192
LVDS1 connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
1280x800 60.2 +
1024x768 60.0* 
800x600 60.3 56.2 
640x480 59.9 
VGA1 disconnected (normal left inverted right x axis y axis)
HDMI1 disconnected (normal left inverted right x axis y axis)
DP1 disconnected (normal left inverted right x axis y axis)

[NG2]

tkodama@tkodama-CF-N10:~$ xrandr
Screen 0: minimum 320 x 200, current 1280 x 800, maximum 8192 x 8192
LVDS1 connected 1280x800+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
1280x800 60.2*+
1024x768 60.0 
800x600 60.3 56.2 
640x480 59.9 
VGA1 disconnected (normal left inverted right x axis y axis)
HDMI1 disconnected (normal left inverted right x axis y axis)
DP1 disconnected (normal left inverted right x axis y axis)

[NG3]

tkodama@tkodama-CF-N10:~$ xrandr
Screen 0: minimum 320 x 200, current 1680 x 1050, maximum 8192 x 8192
LVDS1 connected (normal left inverted right x axis y axis)
1280x800 60.2 +
1024x768 60.0 
800x600 60.3 56.2 
640x480 59.9 
VGA1 connected 1680x1050+0+0 (normal left inverted right x axis y axis) 474mm x 296mm
1680x1050 60.0*+
1680x945 60.0 
1400x1050 60.0 
1600x900 60.0 
1280x1024 75.0 60.0 
1440x900 75.0 59.9 
1280x960 60.0 
1366x768 60.0 
1360x768 60.0 
1280x800 74.9 59.8 
1152x864 75.0 
1280x768 74.9 59.9 
1024x768 75.1 70.1 60.0 
1024x576 60.0 
832x624 74.6 
800x600 72.2 75.0 60.3 56.2 
848x480 60.0 
640x480 72.8 75.0 66.7 60.0 
720x400 70.1 
HDMI1 disconnected (normal left inverted right x axis y axis)
DP1 disconnected (normal left inverted right x axis y axis)
Comment 22 Takashi Kodama 2013-04-30 07:00:24 UTC
Here is OK configuration.

tkodama@tkodama-CF-N10:~$ xrandr
Screen 0: minimum 320 x 200, current 1280 x 800, maximum 8192 x 8192
LVDS1 connected 1280x800+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1280x800       60.2*+
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        59.9  
VGA1 disconnected (normal left inverted right x axis y axis)
HDMI1 disconnected (normal left inverted right x axis y axis)
DP1 disconnected (normal left inverted right x axis y axis)
tkodama@tkodama-CF-N10:~$ xrandr
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 8192 x 8192
LVDS1 connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1280x800       60.2 +
   1024x768       60.0* 
   800x600        60.3     56.2  
   640x480        59.9  
VGA1 disconnected (normal left inverted right x axis y axis)
HDMI1 disconnected (normal left inverted right x axis y axis)
DP1 disconnected (normal left inverted right x axis y axis)
tkodama@tkodama-CF-N10:~$ xrandr
Screen 0: minimum 320 x 200, current 1280 x 1024, maximum 8192 x 8192
LVDS1 connected 1280x800+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1280x800       60.2*+
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        59.9  
VGA1 connected 1280x1024+0+0 (normal left inverted right x axis y axis) 474mm x 296mm
   1680x1050      60.0 +
   1680x945       60.0  
   1400x1050      60.0  
   1600x900       60.0  
   1280x1024      75.0*    60.0  
   1440x900       75.0     59.9  
   1280x960       60.0  
   1366x768       60.0  
   1360x768       60.0  
   1280x800       74.9     59.8  
   1152x864       75.0  
   1280x768       74.9     59.9  
   1024x768       75.1     70.1     60.0  
   1024x576       60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   848x480        60.0  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
HDMI1 disconnected (normal left inverted right x axis y axis)
DP1 disconnected (normal left inverted right x axis y axis)
tkodama@tkodama-CF-N10:~$ clear

tkodama@tkodama-CF-N10:~$ xrandr
Screen 0: minimum 320 x 200, current 1280 x 1024, maximum 8192 x 8192
LVDS1 connected 1280x800+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1280x800       60.2*+
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        59.9  
VGA1 connected 1280x1024+0+0 (normal left inverted right x axis y axis) 474mm x 296mm
   1680x1050      60.0 +
   1680x945       60.0  
   1400x1050      60.0  
   1600x900       60.0  
   1280x1024      75.0*    60.0  
   1440x900       75.0     59.9  
   1280x960       60.0  
   1366x768       60.0  
   1360x768       60.0  
   1280x800       74.9     59.8  
   1152x864       75.0  
   1280x768       74.9     59.9  
   1024x768       75.1     70.1     60.0  
   1024x576       60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   848x480        60.0  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
HDMI1 disconnected (normal left inverted right x axis y axis)
DP1 disconnected (normal left inverted right x axis y axis)
Comment 23 Michael Meeks 2013-04-30 09:20:48 UTC
using the up-stream builds of 4.0.1 - I could not reproduce this; I have:

Screen 0: minimum 320 x 200, current 1920 x 1200, maximum 8192 x 8192
LVDS1 connected primary 1920x1200+0+0 (normal left inverted right x axis y axis) 331mm x 207mm
   1920x1200      60.0*+   50.0  
   1600x1200      60.0  
   1400x1050      60.0  
   1280x1024      60.0  
   1280x960       60.0  
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        59.9  
VGA1 disconnected (normal left inverted right x axis y axis)
DP1 disconnected (normal left inverted right x axis y axis)

I could not reproduce it when I connected an external display; nor could I reproduce it when I enabled and/or disabled various of those external displays - everything worked as expected. odd [!].
Comment 24 Michael Meeks 2013-04-30 10:32:06 UTC
Just pushed a fix to master - I suspect that this is a silly problem around mis-management of display indicees inside Impress, combined with slightly different semantics of the gtk+ backend, now changed to match that.

I'd really appreciate someone trying a snapshot-build from master as/when there is one to verify it.

commit c53f1d1fa8714c330528c9b872b06f3271216f83
Author: Michael Meeks <michael.meeks@suse.com>
Date:   Tue Apr 30 11:19:56 2013 +0100

    fdo#62815 - tolerate crazy / out-of-bound ScreenNumbers for FullScreen

Can't see any snapshots getting up-loaded at the moment which is annoying; can anyone self-build to test ? :-) You -should- get a console warning instead of this problem now [ I'd like that warning text though ;-].

Thanks for reporting !
Comment 25 Commit Notification 2013-04-30 10:58:49 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ff3ce21011beda7c835db0979292d29dfa832d6b&h=libreoffice-4-0

fdo#62815 - tolerate crazy / out-of-bound ScreenNumbers for FullScreen


It will be available in LibreOffice 4.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2013-04-30 11:20:08 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-4-0-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=791a8f2a4ca97302dd89ebda00f1eea83392a8b1&h=libreoffice-4-0-3

fdo#62815 - tolerate crazy / out-of-bound ScreenNumbers for FullScreen


It will be available already in LibreOffice 4.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 27 michaeld 2013-05-06 20:22:13 UTC
I installed and tested Version 4.0.4.0+ (Build ID: 19e60e1a0507e041bbbbd2bf639782e990f7a55) just today.  The slideshow is now functional.  I recommend to close this bug.
Comment 28 Michael Meeks 2013-05-06 20:27:04 UTC
Thanks michaeld :-)
Comment 29 Joel Madero 2013-05-06 20:29:19 UTC
excellent news :) Thanks Michael M for the fix :)